%define name	bibus
%define version	1.4.3.1
%define bibusrel	2
#define release		%mkrel %{bibusrel}.1
%define	 release		%mkrel 2

Summary: 	Bibliographic database manager with OpenOffice.org integration
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{version}.tar.bz2
Patch0:		bibus-1.4.3.1-fix-desktop-file.patch.bz2
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
License: 	GPLv2+
Group: 		Publishing
Url: 		http://bibus-biblio.sourceforge.net
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  desktop-file-utils
BuildRequires:	python
Requires: 	python
%ifarch i586
Requires: 	openoffice.org >= 2
Requires:	openoffice.org-pyuno
%endif
%ifarch x86_64
Requires:	openoffice.org64 >= 2
Requires:	openoffice.org64-pyuno
%endif
Requires: 	python-sqlite2
Requires: 	wxPythonGTK

%description
Bibus is a bibliographic and reference management software. Besides besides
searching, editing and sorting bibliographic records, it features:
- Online PubMed and eTBLAST queries
- Direct reference insertion in OpenOffice.org
- File exchange capabilities with other reference managers
- Hierarchical organization of the references with user-defined keys
- Multi-user design
- Live queries (i.e. upgraded when database is modified).

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

rm -rf Docs/html/en/eTBlast\ Interface\ to\ Bibus_files/CVS

if [ -d ./CVS ]; then
   find . -type d -perm 0700 -exec chmod 755 {} \;
   find . -type f -perm 0555 -exec chmod 755 {} \;
   find . -type f -perm 0444 -exec chmod 644 {} \;
fi

for i in `find . -type d -name CVS`  `find . -type d -name .svn` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

find Docs/ -type f -exec chmod 0644 {} \;
mv locale/zh_cn locale/zh_CN
mv locale/cn locale/zh_TW

for file in Docs/html/en/bibMSW_files/filelist.xml \
'Docs/html/en/eTBlast Interface to Bibus.htm' \
'Docs/html/en/eTBlast Interface to Bibus_files/filelist.xml' \
Docs/html/en/bibMSW.htm newProgressWin.py \
Docs/release_notes.txt;
do
       tr -d '\r' < "$file" > tmp
       mv tmp "$file"
done

%install
rm -rf $RPM_BUILD_ROOT

%if %{mdkversion} == 200710
    %define oorelease 2.1
%endif
%if %{mdkversion} == 200800
    %define oorelease 2.2
%endif
%if %{mdkversion} == 200810
    %define oorelease 2.4
%endif
%if %{mdkversion} == 200900
    %define oorelease 3.0
%endif
%if %{mdkversion} == 200910
    %define oorelease 3.0
%endif

%if %{mdkversion} < 200710
# Before 2007.1 there was no x86_64 OpenOffice.org build
%make -f Setup/Makefile \
	DESTDIR=$RPM_BUILD_ROOT%{_prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
	python=%{_bindir}/python \
	oopath=%{_libdir}/ooo-2.1/%{progdir} \
	install
%elsif %{mdkversion} < 200900
      %ifarch x86_64
	      %make -f Setup/Makefile \
	      DESTDIR=$RPM_BUILD_ROOT%{_prefix} \
	      sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
	      python=%{_bindir}/python \
	      oopath=%{_libdir}/ooo-%{oorelease}_64/program \
	      install
	%endif

	%ifarch i586
	%make -f Setup/Makefile \
	      DESTDIR=$RPM_BUILD_ROOT%{_prefix} \
	      sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
	      python=%{_bindir}/python \
	      oopath=%{_libdir}/ooo-%{oorelease}/program \
	      install
	      %endif

%else %if %{mdkversion} >= 200900
	%ifarch x86_64
	%make -f Setup/Makefile \
		DESTDIR=$RPM_BUILD_ROOT%{_prefix} \
		sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
		python=%{_bindir}/python \
		oopath=%{_libdir}/ooo-%{oorelease}_64/program \
		ooure=%{_libdir}/ooo-%{oorelease}_64/basis-link/ure-link/lib \
		oobasis=%{_libdir}/ooo-%{oorelease}_64/basis-link/program \
		install
	%endif

	%ifarch i586
	%make -f Setup/Makefile \
		DESTDIR=$RPM_BUILD_ROOT%{_prefix} \
		sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
		python=%{_bindir}/python \
		oopath=%{_libdir}/ooo-%{oorelease}/program \
		ooure=%{_libdir}/ooo-%{oorelease}/basis-link/ure-link/lib \
		oobasis=%{_libdir}/ooo-%{oorelease}/basis-link/program \
		install
	%endif
%endif

# we use our own doc installation macro
rm -rf $RPM_BUILD_ROOT%{_docdir}/bibus
# rpm deals with uninstallation
rm -f $RPM_BUILD_ROOT%{_datadir}/bibus/Setup/uninstall.sh
# fix symlink pathname
ln -sf %{_datadir}/bibus/bibusStart.py $RPM_BUILD_ROOT%{_bindir}/bibus
# dirty hack for wrong pathnames in bibus.cfg
sed -e "s|$RPM_BUILD_ROOT/|/|g" $RPM_BUILD_ROOT%{_datadir}/bibus/bibus.cfg \
	> $RPM_BUILD_ROOT%{_datadir}/bibus/bibuscorr.cfg
install -m644 --backup=off $RPM_BUILD_ROOT%{_datadir}/bibus/bibuscorr.cfg \
	$RPM_BUILD_ROOT%{_datadir}/bibus/bibus.cfg
rm -f $RPM_BUILD_ROOT%{_datadir}/bibus/bibuscorr.cfg
# we use distro's iconsdir
rm -rf $RPM_BUILD_ROOT%{_iconsdir}/hicolor

# Create bibus.sh for launching bibus
cat > $RPM_BUILD_ROOT%{_bindir}/bibus.sh << EObibus
#!/bin/sh
export LD_LIBRARY_PATH=%{_libdir}/ooo-%{oorelease}/%{progdir}
export PYTHONPATH=%{_libdir}/ooo-%{oorelease}/%{progdir}
%{_bindir}/python %{_datadir}/bibus/bibus.py
EObibus
chmod 755 $RPM_BUILD_ROOT%{_bindir}/bibus.sh

# localization
%find_lang %{name}

# icons
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# Menu item, using the provide .desktop file

# Position the bibus.desktop entry
install -m644 --backup=off Setup/bibus.desktop -D $RPM_BUILD_ROOT%{_datadir}/applications/bibus.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-Office-Publishing;Office" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# Adjust some permissions
for file in bibus.py bibusStart.py CleanDB.py CodecChoice.py \
Data/parsePubMedJ.py display_panel.py \
FirstStart/FirstTimeWizard_DB.py \
FirstStart/FirstTimeWizard_WP.py \
FirstStart/Wizard_SQLite.py \
FirstStart/Wizard_MySQL.py \
FirstStart/MySQL_Setup.py \
Pref_Connection.py Pref_DB.py Pref_Display.py \
Pref_Duplicates_Base.py Pref_Journals.py Pref_Search.py \
RefDisplayDates.py;
do
	chmod 755     $RPM_BUILD_ROOT/%{_datadir}/%{name}/$file
done

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc Docs/html/ScreenShots Docs/html/en Docs/{CHANGELOG,copying,*.txt}
%attr(644,root,root)    %{_miconsdir}/%{name}.png
%attr(644,root,root)    %{_iconsdir}/%{name}.png
%attr(644,root,root)    %{_liconsdir}/%{name}.png
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/bibus.config
%{_bindir}/bibus
%{_bindir}/bibus.sh
%{_datadir}/%{name}
%{_datadir}/applications/bibus.desktop


%changelog
* Tue Jan 13 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.4.3.1-2mdv2009.1
+ Revision: 328949
- Update end-of-line fix and permissions
- Restore some checks on end of line encoding
- Adjust locale dir
- Updating license
- Added the OOo3.0 ure and basis link to bibus, to the First Setup wizard works

* Fri Jan 09 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.4.3.1-1mdv2009.1
+ Revision: 327457
- Updated to 1.3.4.1 for OOo 3 support
- Rediff desktop patch
- Remove useless patches
- Sanitize spec file

* Wed Sep 03 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.4.3-3mdv2009.0
+ Revision: 279948
- update for last OpenOffice.org 3.0

* Wed Jun 25 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.4.3-2.1mdv2009.0
+ Revision: 229079
- New version
- Some spec cleanup for the old-style menu entry

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Mar 09 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.4-0rc2.2mdv2008.1
+ Revision: 182370
- Added OpenOffice.org pyuno connector dependance

* Sat Mar 01 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.4-0rc2mdv2008.1
+ Revision: 177332
- New version, candidate fix for #37896

* Sat Mar 01 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.3.0-4mdv2008.1
+ Revision: 176994
- Adjust for 2008.1 new OpenOffice.org
- Add pythonpath for menu entry
- reenable the pythonpath define in bibus.sh in order to fix #33499

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Oct 02 2007 Stéphane Téletchéa <steletch@mandriva.org> 1.3.0-3mdv2008.0
+ Revision: 94793
- Use x86_64 bits OpenOffice.org on x86_64 platform for the pyuno connector
  OpenOffice.org is version 2.2 in 2008.0 and 2.1 in 2007.1


* Tue Feb 27 2007 Stéphane Téletchéa <steletch@mandriva.org> 1.3.0-2mdv2007.0
+ Revision: 126810
- Updated bibus.cfg file to use OpenOffice.org 2.1 path instead of 2.0

* Thu Feb 08 2007 Stéphane Téletchéa <steletch@mandriva.org> 1.3.0-1mdv2007.1
+ Revision: 117844
- New bibus release
  Comment my own desktop entry since desktop-file-install uses bibus' .desktop

* Mon Feb 05 2007 Stéphane Téletchéa <steletch@mandriva.org> 1.2.0-6mdv2007.1
+ Revision: 116550
- bump to -6 for getting the contrib into updates instead of testing

* Mon Feb 05 2007 Stéphane Téletchéa <steletch@mandriva.org> 1.2.0-5mdv2007.1
+ Revision: 116503
- fix configuration for x86_64 case
  provide backport compatibility for 2007.0

* Thu Dec 14 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.2.0-4mdv2007.1
+ Revision: 96935
- Remove noarch (#27672)

  + Stéphane Téletchéa <steletch@mandriva.org>
    - small typo in XDG menu category

* Mon Dec 04 2006 Stéphane Téletchéa <steletch@mandriva.org> 1.2.0-3mdv2007.1
+ Revision: 90574
- Missing buildrequires on python
- Fix OpenOffice.org Requires that prevented installation
  Fix Docs permissions
  Fix documentation files line terminator
  Fix zh_CN locale
  Fix bibus permission which prevented launching the application
  Add StatupNotify option and our XDG menu implementation
  Some clean may be still needed
- Import bibus

* Wed Sep 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.0-2mdv2007.0
- XDG
- Fix Desktop File

* Fri Apr 21 2006 <austin@mandriva.org> 1.2.0-1mdk
- spec from Thomas Leclerc

